Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs7
Class IssuerAndSerialNumber

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs7.IssuerAndSerialNumber

All Implemented Interfaces:
  ASN1Value

public class IssuerAndSerialNumber
extends java.lang.Object
implements ASN1Value

An issuer name and serial number, used to uniquely identify a certificate.

Nested Class Summary
`static class` | `IssuerAndSerialNumber.Template` A template for decoding an IssuerAndSerialNumber from its BER encoding.

Field Summary
`private Name` | `issuer`
`private SEQUENCE` | `sequence`
`private INTEGER` | `serialNumber`
`(package private) static Tag` | `TAG`
`private static IssuerAndSerialNumber.Template` | `templateInstance`

Constructor Summary
`private` | `IssuerAndSerialNumber()`
`` | `IssuerAndSerialNumber(Name issuer, INTEGER serialNumber)` Constructs an IssuerAndSerialNumber from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Name` | `getIssuer()`
`INTEGER` | `getSerialNumber()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static IssuerAndSerialNumber.Template` | `getTemplate()` Returns a singleton template instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### issuer

    private Name issuer

### serialNumber

    private INTEGER serialNumber

### sequence

    private SEQUENCE sequence

### TAG

    static Tag TAG

### templateInstance

    private static IssuerAndSerialNumber.Template templateInstance

Constructor Detail

### IssuerAndSerialNumber

    private IssuerAndSerialNumber()

### IssuerAndSerialNumber

    public IssuerAndSerialNumber(Name issuer,
                                 INTEGER serialNumber)

  Constructs an IssuerAndSerialNumber from its components.

Parameters:
  `issuer` - Must not be null.
  `serialNumber` - must not be null.

Method Detail

### getIssuer

    public Name getIssuer()

### getSerialNumber

    public INTEGER getSerialNumber()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static IssuerAndSerialNumber.Template getTemplate()

  Returns a singleton template instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD